summaryrefslogtreecommitdiff
path: root/tests/test-vc-list-files-cvs.sh
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2008-05-15 14:52:01 +0200
committerJim Meyering <meyering@redhat.com>2008-05-15 14:52:01 +0200
commitf1fcb8539c9d1c7d9cefb25ce5c07a099ea1f148 (patch)
tree413f79cc3e4bdfab7863e9e1abb9a7721a94bea3 /tests/test-vc-list-files-cvs.sh
parenta37217922a7b85ddaab2d802b275905f6e9310ac (diff)
downloadgnulib-f1fcb8539c9d1c7d9cefb25ce5c07a099ea1f148.tar.gz
avoid distracting test output when git or cvs is not fount
* tests/test-vc-list-files-cvs.sh: Suppress 'init' error output. * tests/test-vc-list-files-git.sh: Likewise.
Diffstat (limited to 'tests/test-vc-list-files-cvs.sh')
-rwxr-xr-xtests/test-vc-list-files-cvs.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/test-vc-list-files-cvs.sh b/tests/test-vc-list-files-cvs.sh
index febd13b43f..c94932fc27 100755
--- a/tests/test-vc-list-files-cvs.sh
+++ b/tests/test-vc-list-files-cvs.sh
@@ -44,7 +44,7 @@ for i in with-cvsu without; do
ok=0
mkdir $tmpdir && cd $tmpdir &&
# without cvs, skip the test
- { cvs -Q -d "$repo" init || exit 77; } &&
+ { ( cvs -Q -d "$repo" init ) > /dev/null 2>&1 || exit 77; } &&
mkdir w && cd w &&
mkdir d &&
touch d/a b c &&